Bug 250937 - devel/py-llvmlite: Update to 0.34.0
Summary: devel/py-llvmlite: Update to 0.34.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-07 23:45 UTC by Yuri Victorovich
Modified: 2020-11-28 21:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dave)


Attachments
patch (1.52 KB, patch)
2020-11-07 23:45 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-11-07 23:45:58 UTC
Created attachment 219443 [details]
patch

The patch includes my proposed simplification of handling of the LLVM version.

Simple LLVM_DEFAULT or simple assigning of a version is sufficient. IMO there is no need for min/max LLVM versions and complex regular expressions that are difficult to maintain.


Yuri
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-10 09:38:24 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2020-11-10 09:38:39 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 3 Yuri Victorovich freebsd_committer 2020-11-28 21:48:46 UTC
Committed.
Comment 4 commit-hook freebsd_committer 2020-11-28 21:49:39 UTC
A commit references this bug:

Author: yuri
Date: Sat Nov 28 21:48:43 UTC 2020
New revision: 556531
URL: https://svnweb.freebsd.org/changeset/ports/556531

Log:
  devel/py-llvmlite: Update 0.31.0 -> 0.34.0

  PR:		250937
  Approved by:	dave@dal.ca (maintainer's timeout 21 days)

Changes:
  head/devel/py-llvmlite/Makefile
  head/devel/py-llvmlite/distinfo
  head/devel/py-llvmlite/files/patch-ffi_CMakeLists.txt
Comment 5 commit-hook freebsd_committer 2020-11-28 21:50:40 UTC
A commit references this bug:

Author: yuri
Date: Sat Nov 28 21:50:35 UTC 2020
New revision: 556532
URL: https://svnweb.freebsd.org/changeset/ports/556532

Log:
  devel/py-numba: Update 0.47.0 -> 0.51.2

  PR:		250937
  Approved by:	dave@dal.ca (maintainer's timeout 21 days)

Changes:
  head/devel/py-numba/Makefile
  head/devel/py-numba/distinfo
  head/devel/py-numba/files/patch-numba_np_ufunc_workqueue.c
  head/devel/py-numba/files/patch-numba_npyufunc_workqueue.c
  head/devel/py-numba/pkg-descr